﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using WSUniversalLib;

namespace UnitTests
{
    /// <summary>
    /// Блок простых тестов
    /// </summary>
    [TestClass]
    public class SimpleTests
    {

        // Поверка выхода за границу типа продукта
        [TestMethod]
        public void GetQuantityForProductNotEqualsProductType()
        {
            Assert.AreNotEqual(1, WSUniversalLib.Calculation.GetQuantityForProduct(4, 1, 2, 24, 52));
        }
        // Поверка выхода за границу типа материала
        [TestMethod]
        public void GetQuantityForProductNotEqualsMaterialType()
        {
            Assert.AreNotEqual(1, WSUniversalLib.Calculation.GetQuantityForProduct(2, 0, 2, 24, 52));
        }
        // Поверка выхода за границу количества сырья
        [TestMethod]
        public void GetQuantityForProductNotEqualsCount()
        {
            Assert.AreNotEqual(1, WSUniversalLib.Calculation.GetQuantityForProduct(2, 2, 0, 24, 52));
        }
        // Поверка подсчёта при верном типе продукта
        [TestMethod]
        public void GetQuantityForProductEqualsProductType()
        {
            Assert.AreEqual(28, WSUniversalLib.Calculation.GetQuantityForProduct(1, 1, 1, 5, 5));
        }
        // Поверка подсчёта при верном типе материала
        [TestMethod]
        public void GetQuantityForProductEqualsMaterialType()
        {
            Assert.AreEqual(28, WSUniversalLib.Calculation.GetQuantityForProduct(1, 2, 1, 5, 5));
        }
        // Поверка подсчёта при верном количестве сырья
        [TestMethod]
        public void GetQuantityForProductEqualsCountType()
        {
            Assert.AreEqual(55, WSUniversalLib.Calculation.GetQuantityForProduct(1, 2, 2, 5, 5));
        }
        // Поверка выхода за границу ширины
        [TestMethod]
        public void GetQuantityForProductNotEqualsWidth()
        {
            Assert.AreNotEqual(1, WSUniversalLib.Calculation.GetQuantityForProduct(1, 2, 2, 0, 5));
        }
        // Поверка выхода за границу количества длины
        [TestMethod]
        public void GetQuantityForProductNotEqualsLenth()
        {
            Assert.AreNotEqual(1, WSUniversalLib.Calculation.GetQuantityForProduct(1, 2, 2, 5, 0));
        }
        // Поверка подсчёта при верной ширине
        [TestMethod]
        public void GetQuantityForProductEqualsWidth()
        {
            Assert.AreEqual(18, WSUniversalLib.Calculation.GetQuantityForProduct(1, 2, 1, 4, 4));
        }
        // Поверка подсчёта при верной длине
        [TestMethod]
        public void GetQuantityForProductEqualsLenth()
        {
            Assert.AreEqual(10, WSUniversalLib.Calculation.GetQuantityForProduct(1, 1, 1, 3, 3));
        }
    }

    /// <summary>
    /// Блок сложных тестов
    /// </summary>
    public class HardTests
    {
    }
}
