﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WSUniversalLib
{
    public class Calculation
    {
        /// <summary>
        /// Метод подсчёта чистой продукции
        /// </summary>
        /// <param name="productType">Тип продукции</param>
        /// <param name="materialType">Тип материала</param>
        /// <param name="count">Количество сырья</param>
        /// <param name="width">Ширина сырья</param>
        /// <param name="length">Длина сырья</param>
        /// <returns></returns>
       public static int GetQuantityForProduct(int productType, int materialType, int count, float width, float length)
        {
            int sum;
            if(productType <= 3 || productType >= 1 && materialType == 1 || materialType == 2 && count > 0 && width > 0 && length > 0)
            {
                if(productType == 1)
                {
                    sum = Convert.ToInt32(((width * length) * count) * 1.1);
                    if(materialType == 1)
                    {
                        return Convert.ToInt32(sum + (sum * 0.003));
                    }
                    else
                    {
                        return Convert.ToInt32(sum + (sum * 0.0012));
                    }
                }
                else if(productType == 2)
                {
                    sum = Convert.ToInt32(((width * length) * count) * 2.5);
                    if (materialType == 1)
                    {
                        return Convert.ToInt32(sum + (sum * 0.003));
                    }
                    else
                    {
                        return Convert.ToInt32(sum + (sum * 0.0012));
                    }
                }
                else
                {
                    sum = Convert.ToInt32(((width * length) * count) * 8.43);
                    if (materialType == 1)
                    {
                        return Convert.ToInt32(sum + (sum * 0.003));
                    }
                    else
                    {
                        return Convert.ToInt32(sum + (sum * 0.0012));
                    }
                }
            }
            else
            {
                return -1;
            }
        }
    }
}
